-- KikiRools Panel


WinItem = class(Turbine.UI.Lotro.Window);

function WinItem:Constructor(profile)
	Turbine.UI.Lotro.Window.Constructor(self)
	self:SetText(gLang.WINTITLE);
	self:SetMouseVisible(false);
	self:SetSize(200,100);
	self:SetVisible(false);

	-- constantes diverses
	self.font = Turbine.UI.Lotro.Font.Verdana12;
	self.fontColor = Turbine.UI.Color(1,1,1)
	
	-- Recupere les donnes associes
	self.settingsName = profile;
	self.settings = Kiki.Commons.Settings(profile, { top=0; left=0; } );

	-- tracking de la position
	self.PositionChanged = function (sender,args)
		self.settings.top = self:GetTop();
		self.settings.left = self:GetLeft();
	end
	
	-- Positionne sur l'ecran
	self:SetPosition(self.settings.left,self.settings.top);

	-- Force le positionne sur l'ecran
	Kiki.Commons.Onscreen(self);

	-- Positionne le quickslot
	self.qs = Turbine.UI.Lotro.Quickslot();
	self.qs:SetSize(35,35);
	self.qs:SetVisible(true);	        
    self.qs:SetAllowDrop(false); 
    self.qs:SetEnabled(false);	
	self.qs:SetParent(self);
	self.qs:SetPosition(30, 40);
	
	-- Positionne le texte d'ID
	self.id = Turbine.UI.Label();
	self.id:SetSize(110,20);
	self.id:SetVisible(true);	        
	self.id:SetParent(self);
	self.id:SetPosition(85, 50);
	self.id:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	self.id:SetFont(Turbine.UI.Lotro.Font.Verdana16);
	self.id:SetText("...");
	
end

-- Construction d'un shortcut
makesc = function(hex, quicks) 
	local shortcut = Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Item , string.format('0x0000000000000000,0x%s', hex ))
	quicks:SetShortcut( shortcut );
	quicks.DragDrop=function()
		-- nothing
	end
	quicks.MouseDown=function()
		-- hack to prevent real item from being consumed by a click
		quicks:SetShortcut(nil);
		quicks:SetShortcut(shortcut);
	end	
	return shortcut;
end

function WinItem:Show(id)
	Kiki.Commons.Onscreen(self);
    local rc, sc = pcall(makesc, id, self.qs);
    if rc==true then
		self:SetVisible(true);
		self:Activate();
		self.id:SetText(id);
		Kiki.Commons.Trace(gLang.IDOK..id);
	else
		self:SetVisible(false);
		Kiki.Commons.Trace("<rgb=#ff0000>"..gLang.INVALIDID..id.."</rgb>");
	end
end


function WinItem:Unload()
	self.settings:Save(self.settingsName);
end

wItem = WinItem(gPluginName.."_panel"); 


